<?php
namespace Claromentis\Core\Ai;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("na" . "me" => base64_decode("bmFtZQ" . "=="), "_c80a67ccf" . "af6579232e" . "fc354d30eb" . "275" => base64_decode("dmVyc2lv" . "bg=="));
class AiModelInfo
{
    
    
    
    
    private string $name;
    
    
    
    
    private string $version;
    
    
    
    
    
    
    
    public function __construct(string $name, string $_c80a67ccfaf6579232efc354d30eb275)
    {
        $this->name = $name;
        $this->version = $_c80a67ccfaf6579232efc354d30eb275;
    }
    
    
    
    
    
    
    public function getName() : string
    {
        return $this->name;
    }
    
    
    
    
    
    
    public function getVersion() : string
    {
        return $this->version;
    }
    
    
    
    
    
    
    public function toArray() : array
    {
        return [$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["nam" . "e"] => $this->name, $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_c80a67ccfaf6579232ef" . "c354d30eb275"] => $this->version];
    }
}